//go:build !cgo

package capture

import "fmt"

import "net/netip"

type nullReaderFromCloser interface {
	ReadFrom(b []byte) (body []byte, src netip.Addr, ifindex int, err error)
	Close() error
}

func FromInterface(string) (nullReaderFromCloser, error) {
	return nil, fmt.Errorf("packet capture disabled")
}
